<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/dynamic_include/init.jsp" %>

<script type="text/javascript">
	window.$crisp = [];
	window.CRISP_WEBSITE_ID = '<%= clickToChatChatProviderAccountId %>';

	(function () {
		function loadCrispScript() {
			function setCrispUserInfo() {
				if ('<%= themeDisplay.isSignedIn() %>' === 'true') {
					$crisp.push([
						'set',
						'user:email',
						'<%= user.getEmailAddress() %>',
					]);
					$crisp.push([
						'set',
						'user:nickname',
						'<%= user.getScreenName() %>',
					]);
				}
			}

			if (!document.getElementById('crisp-script-chat')) {
				var scriptElement = document.createElement('script');

				scriptElement.setAttribute('async', true);
				scriptElement.setAttribute('id', 'crisp-script-chat');
				scriptElement.setAttribute('src', 'https://client.crisp.chat/l.js');
				scriptElement.setAttribute('type', 'text/javascript');
				scriptElement.onload = function () {
					setCrispUserInfo();
				};

				var bodyElement = document.getElementsByTagName('body').item(0);

				bodyElement.appendChild(scriptElement);
			}
			else {
				setCrispUserInfo();
			}
		}

		window.onload = function () {
			loadCrispScript();
		};

		if (document.readyState === 'complete') {
			loadCrispScript();
		}
	})();
</script>